Bug 1717403 - Broken breadcrumbs link to compute resource VM list on VM detail page
Summary: Broken breadcrumbs link to compute resource VM list on VM detail page
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Amir
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-05 12:28 UTC by Taft Sanders
Modified: 2020-05-27 13:45 UTC (History)
8 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27004 Normal Closed Broken breadcrumb link to compute resource vm list 2020-06-01 11:53:37 UTC
Foreman Issue Tracker 29427 Normal Closed Breadcrumb path in compute resources shows provider-type instead of CR's name 2020-06-01 11:53:37 UTC

Internal Links: 1697510

Description Taft Sanders 2019-06-05 12:28:23 UTC
Description of problem:
When viewing the list of VM's on a compute resource, the link to navigate back to the list of VM's in the top left corner "Compute Resources Vms" does not take you back to the list. No action is taken

Version-Release number of selected component (if applicable):
6.5.0

How reproducible:
Every time

Steps to Reproduce:
1. Navigate to the list of VM's on a compute resource and select a VM
2. Click the hyperlink "Compute Resources Vms" in the top left
3.

Actual results:
Nothing

Expected results:
To navigate back to the list of vm's

Additional info:
Below is the HTML:
<a href="#" title="" role="button" data-original-title="Compute Resources Vms"> Compute Resources Vms</a>

compared to another link:
<a data-id="aid_compute_resources_1-battalionbox-usersys-redhat-com-Libvirt" href="/compute_resources/1-battalionbox-usersys-redhat-com-Libvirt">battalionbox.usersys.redhat.com-Libvirt (Libvirt)</a>

Comment 3 Ondřej Pražák 2019-06-10 09:14:44 UTC
Created redmine issue https://projects.theforeman.org/issues/27004 from this bug

Comment 4 Bryan Kearney 2019-09-09 14:02:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27004 has been resolved.

Comment 5 Lukáš Hellebrandt 2019-11-25 14:11:17 UTC
Navigation works but the breadcrumb path shown is "Compute Resouces -> $RESOURCE_TYPE -> VMs -> $VM_NAME", e.g. "Compute Resouces -> Ovirt -> VMs -> vm1.rhev1.example.com". I would expect CR name in Satellite in place of $RESOURCE_TYPE.

I consider this a minor bug, let me know if you think it's correct behavior.

Comment 6 Bryan Kearney 2019-11-25 15:03:14 UTC
Upstream bug assigned to apuntamb@redhat.com


Note You need to log in before you can comment on or make changes to this bug.